https://rest.ably.io/push/deviceRegistrationsUnregisters devices. All their subscriptions for receiving push notifications through channels will also be deleted.
Optional filter to restrict to devices associated with that deviceId. Cannot be used with clientId.
Optional filter to restrict to devices associated with that clientId. Cannot be used with deviceId.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://rest.ably.io/push/deviceRegistrations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://rest.ably.io/push/deviceRegistrationsUnregisters devices. All their subscriptions for receiving push notifications through channels will also be deleted.
Optional filter to restrict to devices associated with that deviceId. Cannot be used with clientId.
Optional filter to restrict to devices associated with that clientId. Cannot be used with deviceId.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://rest.ably.io/push/deviceRegistrations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}